BatchIdsByCoordinates
curl --request POST \
--url https://developer.synq.io/api/coordinates/v1/database/by-fqn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sqlFqn": [
"<string>"
]
}
'import requests
url = "https://developer.synq.io/api/coordinates/v1/database/by-fqn"
payload = { "sqlFqn": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sqlFqn: ['<string>']})
};
fetch('https://developer.synq.io/api/coordinates/v1/database/by-fqn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"matchedCoordinates": [
{
"sqlFqn": "<string>",
"candidates": [
{
"identifiers": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
],
"dialectName": "<string>",
"dataPlatform": {
"athena": {
"instance": "<string>",
"catalog": "<string>"
}
},
"connectionId": "<string>",
"instanceName": "<string>",
"databaseName": "<string>",
"schemaName": "<string>",
"objectName": "<string>",
"sqlFqn": "<string>",
"sqlDatabaseName": "<string>",
"sqlSchemaName": "<string>",
"sqlObjectName": "<string>"
}
]
}
]
}synq.entities.coordinates.v1.DatabaseCoordinatesService
BatchIdsByCoordinates
Given database FQN return possible entity ids.
POST
/
api
/
coordinates
/
v1
/
database
/
by-fqn
BatchIdsByCoordinates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Databases coordinates as present in the SQL, e.g. db.schema.table
Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I